Package org.apache.felix.http.proxy

## Class AbstractProxyListener

- java.lang.Object
- - org.apache.felix.http.proxy.AbstractProxyListener

All Implemented Interfaces:
  `jakarta.servlet.http.HttpSessionAttributeListener`, `jakarta.servlet.http.HttpSessionIdListener`, `jakarta.servlet.http.HttpSessionListener`, `jakarta.servlet.ServletContextAttributeListener`, `EventListener`

    public abstract class AbstractProxyListener
    extends Object
    implements jakarta.servlet.http.HttpSessionListener, jakarta.servlet.http.HttpSessionIdListener, jakarta.servlet.http.HttpSessionAttributeListener, jakarta.servlet.ServletContextAttributeListener

The `ProxyListener` implements a Servlet API listener for HTTP Session related events. These events are provided by the servlet container and forwarded to the event dispatcher.

Since:
  3.1.0

### Constructor Summary

Constructors
`AbstractProxyListener()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `attributeAdded​(jakarta.servlet.http.HttpSessionBindingEvent se)`
`void` `attributeAdded​(jakarta.servlet.ServletContextAttributeEvent event)`
`void` `attributeRemoved​(jakarta.servlet.http.HttpSessionBindingEvent se)`
`void` `attributeRemoved​(jakarta.servlet.ServletContextAttributeEvent event)`
`void` `attributeReplaced​(jakarta.servlet.http.HttpSessionBindingEvent se)`
`void` `attributeReplaced​(jakarta.servlet.ServletContextAttributeEvent event)`
`protected abstract org.apache.felix.http.proxy.impl.EventDispatcherTracker` `getEventDispatcherTracker()`
`void` `sessionCreated​(jakarta.servlet.http.HttpSessionEvent se)`
`void` `sessionDestroyed​(jakarta.servlet.http.HttpSessionEvent se)`
`void` `sessionIdChanged​(jakarta.servlet.http.HttpSessionEvent event, String oldSessionId)`
`protected abstract void` `startTracking​(Object bundleContext)`
`protected abstract void` `stopTracking()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractProxyListener

    public AbstractProxyListener()

### Method Detail

#### sessionCreated

    public void sessionCreated​(jakarta.servlet.http.HttpSessionEvent se)

Specified by:
  `sessionCreated` in interface `jakarta.servlet.http.HttpSessionListener`

#### sessionDestroyed

    public void sessionDestroyed​(jakarta.servlet.http.HttpSessionEvent se)

Specified by:
  `sessionDestroyed` in interface `jakarta.servlet.http.HttpSessionListener`

#### sessionIdChanged

    public void sessionIdChanged​(jakarta.servlet.http.HttpSessionEvent event,
                                 String oldSessionId)

Specified by:
  `sessionIdChanged` in interface `jakarta.servlet.http.HttpSessionIdListener`

#### attributeAdded

    public void attributeAdded​(jakarta.servlet.http.HttpSessionBindingEvent se)

Specified by:
  `attributeAdded` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

#### attributeRemoved

    public void attributeRemoved​(jakarta.servlet.http.HttpSessionBindingEvent se)

Specified by:
  `attributeRemoved` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

#### attributeReplaced

    public void attributeReplaced​(jakarta.servlet.http.HttpSessionBindingEvent se)

Specified by:
  `attributeReplaced` in interface `jakarta.servlet.http.HttpSessionAttributeListener`

#### attributeAdded

    public void attributeAdded​(jakarta.servlet.ServletContextAttributeEvent event)

Specified by:
  `attributeAdded` in interface `jakarta.servlet.ServletContextAttributeListener`

#### attributeRemoved

    public void attributeRemoved​(jakarta.servlet.ServletContextAttributeEvent event)

Specified by:
  `attributeRemoved` in interface `jakarta.servlet.ServletContextAttributeListener`

#### attributeReplaced

    public void attributeReplaced​(jakarta.servlet.ServletContextAttributeEvent event)

Specified by:
  `attributeReplaced` in interface `jakarta.servlet.ServletContextAttributeListener`

#### getEventDispatcherTracker

    protected abstract org.apache.felix.http.proxy.impl.EventDispatcherTracker getEventDispatcherTracker()

#### stopTracking

    protected abstract void stopTracking()

#### startTracking

    protected abstract void startTracking​(Object bundleContext)